setBfree not accepting midi.driver property

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

setBfree not accepting midi.driver property

Jeanette C.
Hey hey,
I am currently experiencing a problem with setBfree, namely that it doesn't
honour the value set for midi.driver and always uses jack.

I have tried putting it inside a custom config, set it in the default config
(in both ~/.config/setBfree and /usr/share/setBfree and set it on the
commandline:
setBfree midi.driver=alsa
with variations:
"midi.driver=alsa"
and
midi.driver="alsa"

No luck. I am running setBfree version 0.8.8. I have just updated to 0.8.9
which still reports as 0.8.8, this is on ArchLinux using the "official"
package.

Is it that my configuration is out of date perhaps? Can someone verify this or
point out a solution, please?

Best wishes,

Jeanette

--
  * Website: http://juliencoder.de - for summer is a state of sound
  * Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
  * SoundCloud: https://soundcloud.com/jeanette_c
  * Twitter: https://twitter.com/jeanette_c_s
  * Audiobombs: https://www.audiobombs.com/users/jeanette_c
  * GitHub: https://github.com/jeanette-c

If only I could trade the fancy cars
For a chance today,
it's incomparable <3
(Britney Spears)
_______________________________________________
Linux-audio-user mailing list
[hidden email]
https://lists.linuxaudio.org/listinfo/linux-audio-user
Reply | Threaded
Open this post in threaded view
|

Re: setBfree not accepting midi.driver property

Guido Aulisi

Il giorno dom 6 ott 2019 alle 16:40 Jeanette C. <[hidden email]> ha scritto:
Hey hey,
I am currently experiencing a problem with setBfree, namely that it doesn't
honour the value set for midi.driver and always uses jack.

I have tried putting it inside a custom config, set it in the default config
(in both ~/.config/setBfree and /usr/share/setBfree and set it on the
commandline:
setBfree midi.driver=alsa
with variations:
"midi.driver=alsa"
and
midi.driver="alsa"

If I remember well setBfree dropped support for alsa midi in version 0.8.8

No luck. I am running setBfree version 0.8.8. I have just updated to 0.8.9
which still reports as 0.8.8, this is on ArchLinux using the "official"
package.

Is it that my configuration is out of date perhaps? Can someone verify this or
point out a solution, please?

Best wishes,

Jeanette

--
  * Website: http://juliencoder.de - for summer is a state of sound
  * Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
  * SoundCloud: https://soundcloud.com/jeanette_c
  * Twitter: https://twitter.com/jeanette_c_s
  * Audiobombs: https://www.audiobombs.com/users/jeanette_c
  * GitHub: https://github.com/jeanette-c

If only I could trade the fancy cars
For a chance today,
it's incomparable <3
(Britney Spears)
_______________________________________________
Linux-audio-user mailing list
[hidden email]
https://lists.linuxaudio.org/listinfo/linux-audio-user

_______________________________________________
Linux-audio-user mailing list
[hidden email]
https://lists.linuxaudio.org/listinfo/linux-audio-user
Reply | Threaded
Open this post in threaded view
|

Re: setBfree not accepting midi.driver property

Robin Gareus
On 10/11/19 4:40 PM, Guido Aulisi wrote:

> Il giorno dom 6 ott 2019 alle 16:40 Jeanette C. <[hidden email]> ha
> scritto:
>
>> Hey hey,
>> I am currently experiencing a problem with setBfree, namely that it
>> doesn't
>> honour the value set for midi.driver and always uses jack.
>>
>> I have tried putting it inside a custom config, set it in the default
>> config
>> (in both ~/.config/setBfree and /usr/share/setBfree and set it on the
>> commandline:
>> setBfree midi.driver=alsa
>> with variations:
>> "midi.driver=alsa"
>> and
>> midi.driver="alsa"
>
>
> If I remember well setBfree dropped support for alsa midi in version 0.8.8

It was deprecated in 0.8.0, March 2015.

It is however still available if you explicitly enable it at compile time:

 make clean
 make ENABLE_ALSA=yes

ciao,
robin
_______________________________________________
Linux-audio-user mailing list
[hidden email]
https://lists.linuxaudio.org/listinfo/linux-audio-user
Reply | Threaded
Open this post in threaded view
|

Re: setBfree not accepting midi.driver property

Jeanette C.
Oct 11 2019, Robin Gareus has written:

> On 10/11/19 4:40 PM, Guido Aulisi wrote:
...
>> If I remember well setBfree dropped support for alsa midi in version 0.8.8
>
> It was deprecated in 0.8.0, March 2015.
>
> It is however still available if you explicitly enable it at compile time:
>
> make clean
> make ENABLE_ALSA=yes
...
Thanks a lot both of you. I didn't know or had forgotten about it. But
now I now and can decide upon a stable solution in my setup.

Best wishes,

Jeanette

--
  * Website: http://juliencoder.de - for summer is a state of sound
  * Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
  * SoundCloud: https://soundcloud.com/jeanette_c
  * Twitter: https://twitter.com/jeanette_c_s
  * Audiobombs: https://www.audiobombs.com/users/jeanette_c
  * GitHub: https://github.com/jeanette-c

For whatever reason,
I feel like I've been wanting you all my life <3
(Britney Spears)
_______________________________________________
Linux-audio-user mailing list
[hidden email]
https://lists.linuxaudio.org/listinfo/linux-audio-user